{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
{known_script id="jquery.ui.dialog" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}

{*
{html_head}
<link rel="stylesheet" type="text/css" href="{$FBP_PATH|@cat:'/css/admin.config.css'}">
{/html_head}
*}

{*html_head}
<link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/themes/base/jquery-ui.css">
{/html_head*}

<div class="titrePage">
  <h2>FacebookPlug</h2>
</div>
<br>

<form method="post" class="properties" action="{$FBP_ACTION}">
{if isset($social_plugin)}
<h3>{'On picture pages'|@translate}</h3>
<fieldset>
  <legend><a href="{$social_plugin.like_button.FB_PAGE}" onclick="window.open(this.href); return false;">{'Like button'|@translate}</a></legend>
  <ul>
    <li>
      <label>
        <span class="property">{'Enabled'|@translate}</span>
        <input type="checkbox" name="FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ENABLED" {$social_plugin.like_button.ENABLED} />
      </label>
    </li>

    <div id='like_button'>
      <li>
        <label>
          <span class="property">{'Layout style'|@translate}</span>
          <select name="FBP_SOCIAL_PLUGIN_LIKE_BUTTON_LAYOUT" size="1">
            {html_options options=$social_plugin.like_button.LAYOUT_OPTIONS selected=$social_plugin.like_button.LAYOUT_OPTIONS_SELECTED}
          </select>
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Show faces'|@translate}</span>
          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_LIKE_BUTTON_SHOW_FACES" {$social_plugin.like_button.SHOW_FACES} />
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Verb to display'|@translate}</span>
          <select name="FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ACTION" size="1">
            {html_options options=$social_plugin.like_button.ACTION_OPTIONS selected=$social_plugin.like_button.ACTION_OPTIONS_SELECTED}
          </select>
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Color scheme'|@translate}</span>
          <select name="FBP_SOCIAL_PLUGIN_LIKE_BUTTON_COLORSCHEME" size="1">
            {html_options options=$social_plugin.like_button.COLORSCHEME_OPTIONS selected=$social_plugin.like_button.COLORSCHEME_OPTIONS_SELECTED}
          </select>
        </label>
      </li>
    </div>
  </ul>
</fieldset>

<fieldset>
  <legend><a href="{$social_plugin.facepile.FB_PAGE}" onclick="window.open(this.href); return false;">{'Facepile'|@translate}</a> {'on slideshow pages'|@translate}</legend>
  <ul>
    <li>
      <label>
        <span class="property">{'Enabled'|@translate}</span>
        <input type="checkbox" name="FBP_SOCIAL_PLUGIN_FACEPILE_ENABLED" {$social_plugin.facepile.ENABLED} />
      </label>
    </li>

    <div id='facepile'>
      <li>
        <label>
          <span class="property">{'Num rows'|@translate}</span>
          <input type="text" size="3" maxlength="4" name="FBP_SOCIAL_PLUGIN_FACEPILE_MAX_ROWS" value="{$social_plugin.facepile.MAX_ROWS}" />
        </label>
      </li>
    </div>
  </ul>
</fieldset>

<fieldset>
  <legend><a href="{$social_plugin.comments.FB_PAGE}" onclick="window.open(this.href); return false;">{'Comments'|@translate}</a></legend>
  <ul>
    <li>
      <label>
        <span class="property">{'Enabled'|@translate}</span>
        <input type="checkbox" name="FBP_SOCIAL_PLUGIN_COMMENTS_ENABLED" {$social_plugin.comments.ENABLED} />
      </label>
    </li>

    <div id='comments'>
      <li>
        <label>
          <span class="property">{'Num posts'|@translate}</span>
          <input type="text" size="3" maxlength="4" name="FBP_SOCIAL_PLUGIN_COMMENTS_NUMPOSTS" value="{$social_plugin.comments.NUMPOSTS}" />
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Title'|@translate}</span>
          <input type="text" size="39" name="FBP_SOCIAL_PLUGIN_COMMENTS_TITLE" value="{$social_plugin.comments.TITLE}" />
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Simple'|@translate}</span>
          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_COMMENTS_SIMPLE" {$social_plugin.comments.SIMPLE} />
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Reverse'|@translate}</span>
          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_COMMENTS_REVERSE" {$social_plugin.comments.REVERSE} />
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Publish feed'|@translate}</span>
          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_COMMENTS_PUBLISH_FEED" {$social_plugin.comments.PUBLISH_FEED} />
        </label>
      </li>
    </div>
  </ul>
</fieldset>

<h3>{'On menu of main pages'|@translate}</h3>
<fieldset>
  <legend><a href="{$social_plugin.like_box.FB_PAGE}" onclick="window.open(this.href); return false;">{'Like box'|@translate}</a></legend>
  <ul>
    <li>
      <label>
        <span class="property">{'Enabled'|@translate}</span>
        <input type="checkbox" name="FBP_SOCIAL_PLUGIN_LIKE_BOX_ENABLED" {$social_plugin.like_box.ENABLED} />
      </label>
    </li>

    <div id='like_box'>
      <li>
        <label>
          <span class="property">{'Facebook Page URL'|@translate}</span>
          <input type="text" size="39" name="FBP_SOCIAL_PLUGIN_LIKE_BOX_URL" value="{$social_plugin.like_box.URL}" />
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Color scheme'|@translate}</span>
          <select name="FBP_SOCIAL_PLUGIN_LIKE_BOX_COLORSCHEME" size="1">
            {html_options options=$social_plugin.like_box.COLORSCHEME_OPTIONS selected=$social_plugin.like_box.COLORSCHEME_OPTIONS_SELECTED}
          </select>
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Show faces'|@translate}</span>
          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_LIKE_BOX_SHOW_FACES" {$social_plugin.like_box.SHOW_FACES} />
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Show stream'|@translate}</span>
          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_LIKE_BOX_STREAM" {$social_plugin.like_box.STREAM} />
        </label>
      </li>
      <li>
        <label>
          <span class="property">{'Show header'|@translate}</span>
          <input type="checkbox" name="FBP_SOCIAL_PLUGIN_LIKE_BOX_HEADER" {$social_plugin.like_box.HEADER} />
        </label>
      </li>
    </div>
  </ul>
</fieldset>
{/if}{* isset $social_plugin*}

{if isset($advanced)}
<fieldset>
  <legend>{'Options'|@translate}</legend>
  <ul>
      <li>
      <label>
        <span class="property">{'Facebook application identifient'|@translate}</span>
        <input type="text" size="15" name="FBP_FACEBOOK_APP_ID" value="{$advanced.FBP_FACEBOOK_APP_ID}" />
      </label>
    </li>
{*    <li>
      <label>
        <span class="property">{'Asynchronous Facebook access'|@translate}</span>
        <input type="checkbox" name="FBP_ASYNC_SCRIPT" {$advanced.FBP_ASYNC_SCRIPT} />
      </label>
    </li>*}
    <li>
      <label>
        <span class="property">{'Picture URL type'|@translate}</span>
        <select name="FBP_PICTURE_URL_TYPE" size="1">
          {html_options options=$advanced.FBP_PICTURE_URL_TYPE_OPTIONS selected=$advanced.FBP_PICTURE_URL_TYPE_OPTIONS_SELECTED}
        </select>
      </label>
    </li>
    <li>
      <label>
        <span class="property">{'Allow Facebook to see private page (recommended)'|@translate}</span>
        <input type="checkbox" name="FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE" {$advanced.FBP_ALLOW_FB_ACCESS_PRIVATE_PAGE} />
      </label>
    </li>
  </ul>
</fieldset>
{/if}{* isset $advanced*}


  <p>
    <input class="submit" type="submit" name="submit" value="{'Submit'|@translate}">
    <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
  </p>

</form>

<div id="dialog_modal_like_button_comments" title="{'Informations'|@translate}">{'Like button and comments cannot be enabled together'|@translate}</div>
{*<div id="dialog_modal_can_close" title="{'Informations'|@translate}">{'Data are modified but not saved! Are you sure to quit this tabsheet?'|@translate}</div>*}

{literal}
<script type="text/javascript">
  function show_hide(checkbox_name, div_name)
  {
    if ($("input[name="+checkbox_name+"]").attr('checked'))
    {
      $("#"+div_name).show();
    }
    else
    {
      $("#"+div_name).hide();
    }
  }

  function inverse_check_value(checkbox_name_1, checkbox_name_2)
  {
    if ($("input[name="+checkbox_name_1+"]").attr('checked') && $("input[name="+checkbox_name_2+"]").attr('checked'))
    {
      $("input[name="+checkbox_name_1+"]").attr('checked', false);
      $("#dialog_modal_like_button_comments").dialog('open');
    }
  }

  function init_checkbox(checkbox_name, div_name)
  {
    $("input[name="+checkbox_name+"]").click(
      function()
      {
        show_hide(checkbox_name, div_name);
      }
    );
    show_hide(checkbox_name, div_name);
  }

  function init_checkbox_with_inverse_value(checkbox_name_1, checkbox_name_2)
  {
    $("input[name="+checkbox_name_1+"]").click(
      function()
      {
        inverse_check_value(checkbox_name_1, checkbox_name_2);
      }
    );
    $("input[name="+checkbox_name_2+"]").click(
      function()
      {
        inverse_check_value(checkbox_name_2, checkbox_name_1);
      }
    );
  }

  $(document).ready(
    function()
    {
      //Init all main checkbox
      init_checkbox_with_inverse_value("FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ENABLED", "FBP_SOCIAL_PLUGIN_COMMENTS_ENABLED");
      init_checkbox("FBP_SOCIAL_PLUGIN_LIKE_BUTTON_ENABLED", "like_button");
      init_checkbox("FBP_SOCIAL_PLUGIN_FACEPILE_ENABLED", "facepile");
      init_checkbox("FBP_SOCIAL_PLUGIN_COMMENTS_ENABLED", "comments");
      init_checkbox("FBP_SOCIAL_PLUGIN_LIKE_BOX_ENABLED", "like_box");
      // Init message box
      $("#dialog_modal_like_button_comments").dialog({
        autoOpen: false, modal: true, dialogClass: 'admin_config', // necessary to have a specific class because there are conflic with main menu accordeon
        buttons: { "{/literal}{'Continue'|@translate}{literal}": function() { $(this).dialog("close"); } },
      });
      $("#dialog_modal_can_close").dialog({
        autoOpen: false, modal: true, dialogClass: 'admin_config', // necessary to have a specific class because there are conflic with main menu accordeon
        buttons: { "Cancel": function() { $(this).dialog("close"); }, "{/literal}{'Submit'|@translate}{literal}": function() { IsDataChanged = false; $(this).dialog("close"); } },
      });
      // Detect data change
      /*IsDataChanged = false;
      $("input, select").change(function() { IsDataChanged = true; });
      //~ $(".tabsheet").click(function()
      $(window).unload(function()
        {
          if (IsDataChanged)
          {
            //~ alert($(this).attr("name"));
           //~ $("#dialog_modal_can_close").dialog( "option", "buttons", { "{/literal}{'Submit'|@translate}{literal}": function() { $(this).dialog("close"); } } );
            $("#dialog_modal_can_close").dialog('open');
            
            //~ return true;
            return false
          }
          else
          {
            return true;
          }
          //return ! IsDataChanged;
        });*/
    });

</script>
{/literal}